commit:     da6ff618e6fd436ddaf5dfbf3a4ef9d057fee108
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 10:33:49 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 10:53:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da6ff618

games-emulation/stella: add 7.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-emulation/stella/Manifest          |  1 +
 games-emulation/stella/stella-7.0.ebuild | 66 ++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/games-emulation/stella/Manifest b/games-emulation/stella/Manifest
index 8d219b984f67..3f7dee302d4d 100644
--- a/games-emulation/stella/Manifest
+++ b/games-emulation/stella/Manifest
@@ -1 +1,2 @@
 DIST stella-6.7.1-src.tar.xz 10277788 BLAKE2B 
c40db17c2e91277f3ec4d6db275e9f3c197883888eff44a046fd9405437539f253628777e2230b006ace16105bb2e0d524d86d3b6d3071876d97d190b96dbcb0
 SHA512 
7ab3c46eb8a1243334222e69a5e6cb33eff18d43f7312f52f660b608dc21992e2c0a0bd43df3a2f1c2a0789e445b960970a866f1f0755edffe2f63ad930a0f3a
+DIST stella-7.0-src.tar.xz 13685208 BLAKE2B 
817cbb5c3c78d6fa1a38bd2ba4f6f192aa63b67f91fb122df964f6f7fe3f274e2038c12aa81f5217e5c907dd69f5aa8b0f1f2a7b225c8485f3dce4f591bb8242
 SHA512 
43e31f5f32eeb8241db56c88b6183bd80884d7d0509340dc14e16cc2580ae79079027fbeddcdc11e271b08b9aefbe07e50428724d5097cde4e200b80e6d89f6e

diff --git a/games-emulation/stella/stella-7.0.ebuild 
b/games-emulation/stella/stella-7.0.ebuild
new file mode 100644
index 000000000000..d01a97a065d3
--- /dev/null
+++ b/games-emulation/stella/stella-7.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit edo toolchain-funcs xdg
+
+DESCRIPTION="Multi-platform Atari 2600 VCS Emulator"
+HOMEPAGE="https://stella-emu.github.io/";
+SRC_URI="https://github.com/stella-emu/stella/releases/download/${PV}/${P}-src.tar.xz";
+
+LICENSE="GPL-2+ BSD MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+joystick png test zlib"
+REQUIRED_USE="png? ( zlib )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-db/sqlite:3
+       media-libs/libsdl2[joystick?,opengl,sound,video]
+       png? ( media-libs/libpng:= )
+       zlib? ( sys-libs/zlib:= )
+"
+DEPEND="
+       ${RDEPEND}
+       test? ( dev-cpp/gtest )
+"
+BDEPEND="
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+
+       sed -i 's/pkg-config/${PKG_CONFIG}/' configure || die
+       sed -i '/CXXFLAGS+=/s/-fomit-frame-pointer//' Makefile || die
+}
+
+src_configure() {
+       tc-export CC CXX PKG_CONFIG
+
+       local configure=(
+               ./configure # not autotools-based
+               --host=${CHOST}
+               --prefix="${EPREFIX}"/usr
+               --docdir="${EPREFIX}"/usr/share/doc/${PF}/html
+               $(use_enable joystick)
+               $(use_enable png)
+               $(use_enable zlib zip)
+               ${EXTRA_ECONF}
+       )
+
+       edo "${configure[@]}"
+}
+
+src_install() {
+       local DOCS=(
+               Announce.txt Changes.txt README.md README-SDL.txt
+               docs/R77_readme.txt Todo.txt
+       )
+
+       default
+
+       rm -- "${ED}"/usr/share/doc/${PF}/html/*.{md,txt} || die
+}

Reply via email to